Introduction
Configuration à l'exécution
Mysqlnd
PHP Manual

# Installation

Installation sous Unix

Par défaut, les extensions de base de données MySQL sont configurées pour utiliser la bibliothèque cliente MySQL. Pour utiliser le pilote natif MySQL, PHP doit être compilé en spécifiant explicitement que les extensions de base de données MySQL doivent être compilées par rapport à lui. C'est fait grâce aux options de configuration précédant la compilation de PHP en elle-même.

Par exemple, pour compiler l'extension MySQL, mysqli et PDO MySQL en utilisant le pilote natif MYSQL, la commande suivante doit être passée :

    ./configure --with-mysql=mysqlnd \
    --with-mysqli=mysqlnd \
    --with-pdo-mysql=mysqlnd \
    [autres options]

Installation sous Windows

Dans les distributions officielle de PHP à partir de la version 5.3, le pilote natif MySQL est activé par défaut et aucune configuration supplémentaire n'est nécessaire pour l'utiliser. Toutes les extensions de base de données MySQL l'utiliseront alors.

Introduction
Configuration à l'exécution
Mysqlnd
PHP Manual